/* groups.js - API library for Groups configuration */

/* Copyright 2010 TeamF1, Inc. */

/*
modification history 
------------------------
01c,9MAR11,mvb add new groupNameSelCheck().
01b,9MAR11,vsr  add new resetGroups().
01a,12OCT10,mvb  written. 
*/


function editGroupsValidate ()
    {
    var tblObj = document.getElementById('tblGrpNames');
    if (!tblObj) return false;
    var objArr= tblObj .getElementsByTagName("INPUT");
    if (!objArr.length) return false;
    var valueArry = new Array();
    /* allow if atleast one checkbox is checked */
    for (var i = 0; i < objArr.length; i++)
         {
         if (objArr[i].type != 'text' || objArr[i].disabled) continue;
         var value = objArr[i].value;
         valueArry[0] = objArr[i].id + ",";
         if (!value || (value.length == 0))
            {
            alert ("Please enter a valid group name");
            objArr[i].focus ();
            return false;
            }
         if(isProblemCharArrayCheck(valueArry) == false)
         	{
         		return false;
         	}   
         break;
         }
    return true;
    }
    
function enableGroupField (fieldId)
    {
    var tblObj = document.getElementById('tblGrpNames');
    if (!tblObj) return;
    var objArr= tblObj .getElementsByTagName("INPUT");
    if (!objArr.length) return false;
    /* allow if atleast one checkbox is checked */
    for (var i = 0; i < objArr.length; i++)
         {
         if (objArr[i].type != 'text') continue;
         if (objArr[i].id != fieldId)
             {
             if (!objArr[i].disabled)
                 objArr[i].disabled = true;
             continue;
             }
         objArr[i].disabled = false;
         }
    return;
    }
    
function resetGroups()
    {
       for(var i = 0; i <= 8; i++){
    	enableGroupField ('txtGroupName'+i);
       }
    }
    
function groupNameSelCheck()
    {
    var tableId = document.getElementById('tblGrpNames');
    if (!tableId) return false;
    var objArr = tableId.getElementsByTagName("INPUT");
    if (!objArr.length) return false;
    var flag = 0;
    for (var i = 0; i < objArr.length; i++)
        {
        if (objArr[i].type == 'radio' && objArr[i].checked  && !objArr[i].disabled)
            {
            flag = flag + 1;
            }
        }
    if(flag == 0)
        {
        alert("Please select a group name that you would like to edit.")
        return false;
        }
    return true;
    }
