/*
Copyright (c) 2005-2013 TeamF1, Inc.
All rights reserved.
*/

function serviceGroupValidate () {
    var txtFieldIdArr = new Array ();
    txtFieldIdArr[0] = "txtAddSrGroupName," + 'Please enter a valid Service Group Name';
    if (txtFieldArrayCheck (txtFieldIdArr) == false) {
        return false;
    }
    var selRightObj = document.getElementById ('selTwKeySelectedServiceProtoType');
    var svcGrpObj = document.getElementById ('selSvcGrpValues');
    var selRightObjLength = selRightObj.options.length;
    var serviceStr = "";    
    for (i = 0; i < selRightObjLength; i++) {
        if (selRightObj.options[i].value != '') {
            if (serviceStr == "") {
                serviceStr += selRightObj.options[i].text;
            }
            else {
                serviceStr += "," + selRightObj.options[i].text;
            }
        }
    }    
    svcGrpObj.value = serviceStr;
    if (serviceStr == "") {
        alert ("Please select an Available Service");
        return false;
    }
    return true;
}

function moveLeft () {
    var selRightObj = document.getElementById ("selTwKeySelectedServiceProtoType");
    var selLeftObj = document.getElementById ("selTwKeyServiceProtoType");
    var selRightObjLength = selRightObj.options.length;
    var str = "";    
    var i = 0;
    while (selRightObjLength) {
        if (selRightObj.options[i].selected && selRightObj.options[i].value != '') {                
            var optn = document.createElement ("OPTION");
            optn.text = selRightObj.options[i].text;
            optn.value = selRightObj.options[i].value;
            selLeftObj.options.add (optn);    
            selRightObj.remove (i);
            i--;   
        }
        i++;
        selRightObjLength--;
    }    
}

function moveRight () {
    var selLeftObj = document.getElementById("selTwKeyServiceProtoType");
    var selRightObj = document.getElementById("selTwKeySelectedServiceProtoType");
    var selLeftObjLength = selLeftObj.options.length;
    var str = "";    
    var i = 0;
    while (selLeftObjLength) {
        if (selLeftObj.options[i].selected && selLeftObj.options[i].value != '') {                
            var optn = document.createElement ("OPTION");
            optn.text = selLeftObj.options[i].text;
            optn.value = selLeftObj.options[i].value;
            selRightObj.options.add (optn);
            selLeftObj.remove(i);
            i--;
        }
        i++;
        selLeftObjLength--;
    }    
}

function serviceGroupInit () {
    var selLeftObj = document.getElementById("selTwKeyServiceProtoType");
    var selRightObj = document.getElementById("selTwKeySelectedServiceProtoType");
    var hdObj = document.getElementById ("hdLeftList");
    var hdObj1 = document.getElementById ("hdRightList");
    for (i = 0; i < selLeftObj.length; i++) {
        hdObj.options[i] = new Option (selLeftObj.options[i].text, selLeftObj.options[i].value);
    }
    for (i = 0; i < selRightObj.length; i++) {
        hdObj1.options[i] = new Option (selRightObj.options[i].text, selRightObj.options[i].value);
    }
}
    
function resetInitialSettings () {
    var selLeftObj = document.getElementById("selTwKeyServiceProtoType");
    var selRightObj = document.getElementById("selTwKeySelectedServiceProtoType");
    var hdObj = document.getElementById ("hdLeftList");
    var hdObj1 = document.getElementById ("hdRightList");
    
    deleteOptions (selLeftObj);
    deleteOptions (selRightObj);
    
    for (i = 0; i < hdObj.length; i++) {
        selLeftObj.options[i] = new Option (hdObj.options[i].text, hdObj.options[i].value);
    }
    for (i = 0; i < hdObj1.length; i++) {
        selRightObj.options[i] = new Option (hdObj1.options[i].text, hdObj1.options[i].value);
    }
}

function deleteOptions (selObj) {
    while (selObj.options.length != 0) {
        selObj.options[0] = null;
    }
}
