/* setPassword.js - API library for Set Password configuration */

/* Copyright 2010 TeamF1, Inc. */

/*
modification history 
------------------------
01a,11OCT10,mvb  written. 
*/

function setPasswordValidate (opChoice)
    {
    var txtFieldIdArr = new Array (); 
    if (opChoice == 1)
        {
        txtFieldIdArr[0] = "txtAdminUserName," + 
        				   "Invalid admin user name. Admin user name cannot be empty. Please enter a valid name.";
        txtFieldIdArr[1] = "txtAdminOldPwd,Please enter your old (current) admin password.";
        txtFieldIdArr[2] = "txtAdminNewPwd,Invalid new password. Admin password cannot be empty. Please enter a valid new admin password.";
        txtFieldIdArr[3] = "txtAdminConfirmPwd,Invalid new password. Admin password cannot be empty. Please re-enter the new admin password you chose.";
        txtFieldIdArr[4] = "txtGuestUsrName,Invalid guest user name. Admin user name cannot be empty. Please enter a valid name.";
        txtFieldIdArr[5] = "txtGuestOldPwd,Please enter your old (current) guest password.";
        txtFieldIdArr[6] = "txtGuestNewPwd,Invalid new password. Guest password cannot be empty. Please enter a valid new guest password.";
        txtFieldIdArr[7] = "txtGuestConfirmPwd,Invalid new password. Guest password cannot be empty. Please re-enter the new guest password you chose.";
     
        if (txtFieldArrayCheck (txtFieldIdArr) == false)
             return false;
        var newPwd = document.getElementById('txtAdminNewPwd');
        var confirmPwd = document.getElementById('txtAdminConfirmPwd');
        if ((!newPwd.disabled && !confirmPwd.disabled) && 
            (newPwd.value != confirmPwd.value))
            {
            alert ("New password mismatch. Please re-enter the new admin password.");
            return false;
            }
        var oldPwd = document.getElementById('txtAdminOldPwd');
        if ((!newPwd.disabled && !oldPwd.disabled) &&
		    (newPwd.value == oldPwd.value))
        	{
            alert ("No change in admin password.");
            return false;
        	}        	
        newPwd = document.getElementById('txtGuestNewPwd');
        confirmPwd = document.getElementById('txtGuestConfirmPwd');
        if ((!newPwd.disabled && !confirmPwd.disabled) && 
            (newPwd.value != confirmPwd.value))
            {
            alert ("New password mismatch. Please re-enter the new guest password.");
            return false;
            }
        var oldPwd = document.getElementById('txtGuestOldPwd');
        if ((!newPwd.disabled && !oldPwd.disabled) &&
		    (newPwd.value == oldPwd.value))
        	{
            alert ("No change in guest password.");
            return false;
        	}        	
        }
    else
        {
        var myObj = document.getElementById('txtIdleLogoutTime');
		if (numericValueRangeCheck (myObj, 1,
			"Invalid idle logout time. Please enter a value between 1 and 999 minutes ",
			1, 999, true, "Invalid idle logout time.", "") == false)
		return false;
		var txtFieldIdArr = new Array ();
			txtFieldIdArr[0] = "txtDomainName,Please enter a valid Domain Name";
		if (txtFieldArrayCheck (txtFieldIdArr) == false)
		return false;
		}
    return true;
    }
function userSelection ()
	{
	depFieldCheck ('editAdmin', true, '', '', '', 'adminSettings');
	depFieldCheck ('editAdmin', false, '', 'adminSettings', '', '');
	depFieldCheck ('editGuest', true, '', '', '', 'guestSettings');
	depFieldCheck ('editGuest', false, '', 'guestSettings', '', '');
	}
function setDefault ()
	{
	var fldObj = document.getElementById('editAdmin');
	if (!(fldObj.disable))
		userSelection (fldObj);
		
	}
